explain_signalfd_or_die(3)

NAME
explain_signalfd_or_die - create signalable file descriptor and report errors

SYNOPSIS
#include <libexplain/signalfd.h>

int explain_signalfd_or_die(int fildes, const sigset_t *mask, int flags);
int explain_signalfd_on_error(int fildes, const sigset_t *mask, int flags);

DESCRIPTION
The explain_signalfd_or_die function is used to call the signalfd(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_signalfd(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_signalfd_on_error function is used to call the signalfd(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_signalfd(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the signalfd(2) system call.

mask
    The mask, exactly as to be passed to the signalfd(2) system call.

flags
    The flags, exactly as to be passed to the signalfd(2) system call.

RETURN VALUE
The explain_signalfd_or_die function only returns on success, see signalfd(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_signalfd_on_error function always returns the value return by the wrapped signalfd(2) system call.

EXAMPLE
The explain_signalfd_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_signalfd_or_die(fildes, mask, flags);

SEE ALSO

signalfd(2)
    create a file descriptor for accepting signals

explain_signalfd(3)
    explain signalfd(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller